library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

--  Uncomment the following lines to use the declarations that are
--  provided for instantiating Xilinx primitive components.
--library UNISIM;
--use UNISIM.VComponents.all;

entity rom_test is
end rom_test;

architecture Behavioral of rom_test is

component testing_rom
    Port ( clk  : in	 	std_logic;
           res 		 : in	 	std_logic;

           addr_out : out std_logic_vector (7 downto 0);

           output       : out std_logic
         );
end component testing_rom;

   signal clk  : std_logic;
   signal res 		  : std_logic;

   signal addr : std_logic_vector (7 downto 0);

   signal output : std_logic;

   constant MCLK_PER         : time := 40 ns;

begin

	test_rom : 	component testing_rom port map (
								  clk 	=> clk,
  								  res		 	=> res,
  								  
  								  addr_out => addr,
  								  
                          output => output
								);
	RESET_GEN : process
	begin
     	res <= transport '1';
		wait for 10 * MCLK_PER;
	 	res <= transport '0';
	 	wait;				  
	end process;

  CLOCK_GEN : process
    begin  -- 25 mhz
       CLOCK_LOOP : loop
           clk <= transport '1';
           wait for MCLK_PER/2;
           clk <= transport '0';
           wait for MCLK_PER/2;
       end loop CLOCK_LOOP;
   	end process;
       


end Behavioral;


configuration rom_tester of rom_test is
   for Behavioral

    end for;
end configuration;
