library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

--  Uncomment the following lines to use the declarations that are
--  provided for instantiating Xilinx primitive components.
--library UNISIM;
--use UNISIM.VComponents.all;

entity testing_rom is
    Port ( clk : in	 	std_logic;
           res 		  : in	 	std_logic;
           
           addr_out : out std_logic_vector (7 downto 0);

           output :  out std_logic
      	 );
      	  
end testing_rom;

architecture behave of testing_rom is

  component ROM256X1 is
      port (O : out std_logic;
            A0 : in STD_LOGIC;
            A1 : in STD_LOGIC;
            A2 : in STD_LOGIC;
            A3 : in STD_LOGIC;
            A4 : in STD_LOGIC;
            A5 : in STD_LOGIC;
            A6 : in STD_LOGIC;
            A7 : in STD_LOGIC);
  end component ROM256X1;

  attribute INIT_00 : string;
  attribute INIT_01 : string;

  attribute INIT_00  of TEST_ROM : label is "AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA";
  attribute INIT_01  of TEST_ROM : label is "AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA";

  signal out1  : std_logic;
  signal addr  : std_logic_vector (7 downto 0);

begin
           
      
  process (clk, res)
  begin
    if res = '1' then
      out1  <= '0';
      addr  <= (others => '0');  
    elsif clk'event and clk = '1' then
      addr <= addr + '1';        
    end if;
    
    addr_out <= addr;
    output <= out1;
    
  end process;   
  

  TEST_ROM : ROM256X1
    port map (
       o => out1,
       a0 => addr (0),
       a1 => addr (1),
       a2 => addr (2),
       a3 => addr (3),                     
       a4 => addr (4),
       a5 => addr (5),
       a6 => addr (6),
       a7 => addr (7)
      );        

   

end behave;
